pipeline{
    agent any
    stages{
        stage('SCM Checkout'){
            steps{
               git credentialsId: '41b4ebae-7f4a-4f83-8d1d-7ad761456e7d',
               url: 'https://gitlab.com/iris.lohja88/webapp'
            }
        }
        stage('Build'){
            tools{
                maven 'MAVEN3'
            }
            steps{
                sh "mvn clean package"
            }
        }
        stage('Deploy'){
            steps{
                deploy adapters: [tomcat8(credentialsId: 'deployer',
                path: '',
                url: 'http://192.168.60.20:8080')],
                contextPath: null,
                war: '**/*.war'
            }
        }
    }
}
